import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, l = p.length - 1, o; l >= 0; l--)
    (o = p[l]) && (e = (t ? o(r, i, e) : o(e)) || e);
  return t && e && h(r, i, e), e;
};
let s = class extends u {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--pauseCircleFilled", this.class = "c-pieIcon c-pieIcon--pauseCircleFilled", this.name = "IconPauseCircleFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--pauseCircleFilled"><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219Zm-.656 8.969H6.03V5.811h1.313v4.375Zm2.625 0H8.656V5.811H9.97v4.375Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-pause-circle-filled")
], s);
export {
  s as IconPauseCircleFilled
};
